# serial: serial::timeout_t Struct Reference

serial 1.0 Cross-platform serial port library for C++

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Defines
Public Member Functions | Data Fields
serial::timeout_t Struct Reference

`#include <serial.h>`

## Public Member Functions

| timeout_t (long inter_byte_timeout_=0, long read_timeout_constant_=0, long read_timeout_multiplier_=0, long write_timeout_constant_=0, long write_timeout_multiplier_=0)

## Data Fields

long | inter_byte_timeout
long | read_timeout_constant
long | read_timeout_multiplier
long | write_timeout_constant
long | write_timeout_multiplier

## Detailed Description

Structure for setting the timeout of the serial port, times are in milliseconds.

## Constructor & Destructor Documentation

serial::timeout_t::timeout_t | ( | long | inter_byte_timeout_ = `0`,
|  | long | read_timeout_constant_ = `0`,
|  | long | read_timeout_multiplier_ = `0`,
|  | long | write_timeout_constant_ = `0`,
|  | long | write_timeout_multiplier_ = `0`
| ) |  | `[inline]`

        : inter_byte_timeout(inter_byte_timeout_),
          read_timeout_constant(read_timeout_constant_),
          read_timeout_multiplier(read_timeout_multiplier_),
          write_timeout_constant(write_timeout_constant_),
          write_timeout_multiplier(write_timeout_multiplier_)
        {}

## Field Documentation

long serial::timeout_t::inter_byte_timeout

Number of milliseconds between bytes received to timeout on.

long serial::timeout_t::read_timeout_constant

A constant number of milliseconds to wait after calling read.

long serial::timeout_t::read_timeout_multiplier

A multiplier against the number of requested bytes to wait after calling read.

long serial::timeout_t::write_timeout_constant

A constant number of milliseconds to wait after calling write.

long serial::timeout_t::write_timeout_multiplier

A multiplier against the number of requested bytes to wait after calling write.

The documentation for this struct was generated from the following file:

- include/serial/serial.h